<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "frapl01_3b".
 *
 * @property string $FRAPL01_UUID
 * @property string $FRAPL01_3B_UUID
 * @property string $FRAPL01_3B_FILE File
 * @property string $FRAPL01_3B_BUKTI Bukti Administratif
 * @property string $FRAPL01_3B_SYARAT Memenuhi / Tidak
 * @property string $CREATED
 * @property string $USERNAME
 */
class Frapl013b extends \yii\db\ActiveRecord
{

    /**
     * ENUM field values
     */
    const FRAPL01_3B_SYARAT_1 = '1';
    const FRAPL01_3B_SYARAT_0 = '0';

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'frapl01_3b';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['FRAPL01_UUID', 'FRAPL01_3B_UUID', 'FRAPL01_3B_FILE', 'FRAPL01_3B_BUKTI', 'FRAPL01_3B_SYARAT', 'CREATED', 'USERNAME'], 'required'],
            [['FRAPL01_UUID', 'FRAPL01_3B_UUID', 'FRAPL01_3B_SYARAT'], 'string'],
            [['CREATED'], 'safe'],
            [['FRAPL01_3B_FILE', 'FRAPL01_3B_BUKTI', 'USERNAME'], 'string', 'max' => 50],
            ['FRAPL01_3B_SYARAT', 'in', 'range' => array_keys(self::optsFRAPL013BSYARAT())],
            [['FRAPL01_3B_UUID'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'FRAPL01_UUID' => 'Frapl01 Uuid',
            'FRAPL01_3B_UUID' => 'Frapl01 3b Uuid',
            'FRAPL01_3B_FILE' => 'File',
            'FRAPL01_3B_BUKTI' => 'Bukti Administratif',
            'FRAPL01_3B_SYARAT' => 'Memenuhi / Tidak',
            'CREATED' => 'Created',
            'USERNAME' => 'Username',
        ];
    }


    /**
     * column FRAPL01_3B_SYARAT ENUM value labels
     * @return string[]
     */
    public static function optsFRAPL013BSYARAT()
    {
        return [
            self::FRAPL01_3B_SYARAT_1 => '1',
            self::FRAPL01_3B_SYARAT_0 => '0',
        ];
    }

    /**
     * @return string
     */
    public function displayFRAPL013BSYARAT()
    {
        return self::optsFRAPL013BSYARAT()[$this->FRAPL01_3B_SYARAT];
    }

    /**
     * @return bool
     */
    public function isFRAPL013BSYARAT1()
    {
        return $this->FRAPL01_3B_SYARAT === self::FRAPL01_3B_SYARAT_1;
    }

    public function setFRAPL013BSYARATTo1()
    {
        $this->FRAPL01_3B_SYARAT = self::FRAPL01_3B_SYARAT_1;
    }

    /**
     * @return bool
     */
    public function isFRAPL013BSYARAT0()
    {
        return $this->FRAPL01_3B_SYARAT === self::FRAPL01_3B_SYARAT_0;
    }

    public function setFRAPL013BSYARATTo0()
    {
        $this->FRAPL01_3B_SYARAT = self::FRAPL01_3B_SYARAT_0;
    }
}
